diff --git a/azure-pipelines.yml b/azure-pipelines.yml
index 9242804476..7a259d6f17 100644
--- a/azure-pipelines.yml
+++ b/azure-pipelines.yml
@@ -95,15 +95,24 @@ stages:
inputs:
version: $(dotnetVersion)
- bash: |
- BUNDLEDVERSIONS=${AGENT_TOOLSDIRECTORY}/dotnet/sdk/${DOTNETVERSION}/Microsoft.NETCoreSdk.BundledVersions.props
- echo $BUNDLEDVERSIONS
- if grep -q freebsd-x64 $BUNDLEDVERSIONS; then
- echo "Extra platforms already enabled"
- else
- echo "Enabling extra platform support"
+ SDK_PATH="${AGENT_TOOLSDIRECTORY}/dotnet/sdk/${DOTNETVERSION}"
+ BUNDLEDVERSIONS="${SDK_PATH}/Microsoft.NETCoreSdk.BundledVersions.props"
+
+ if ! grep -q freebsd-x64 $BUNDLEDVERSIONS; then
sed -i.ORI 's/osx-x64/osx-x64;freebsd-x64;linux-x86;linux-arm-vfpv3d16/' $BUNDLEDVERSIONS
fi
- displayName: Enable Extra Platform Support
+ grep freebsd-x64 $BUNDLEDVERSIONS
+ displayName: Extra Platform Support - Generic
+ - bash: |
+ SDK_PATH="${AGENT_TOOLSDIRECTORY}/dotnet/sdk/${DOTNETVERSION}"
+ RUNTIMEIDENTIFIERGRAPH="${SDK_PATH}/RuntimeIdentifierGraph.json"
+
+ if ! grep -q linux-arm-vfpv3d16 "${RUNTIMEIDENTIFIERGRAPH}"; then
+ sed -i.ORI '/"runtimes":/a \ \ \ \ "linux-arm-vfpv3d16": {"#import": ["linux-arm"]},' "${RUNTIMEIDENTIFIERGRAPH}"
+ fi
+ grep -A5 -B5 linux-arm-vfpv3d16 $RUNTIMEIDENTIFIERGRAPH
+ displayName: Enable Extra Platform Support - Windows
+ condition: and(succeeded(), eq(variables['osName'], 'Windows'))
- bash: ./build.sh --backend --enable-extra-platforms
displayName: Build Radarr Backend
- bash: |
diff --git a/build.sh b/build.sh
index 467917d774..1611f8fa5d 100755
--- a/build.sh
+++ b/build.sh
@@ -27,14 +27,18 @@ UpdateVersionNumber()
EnableExtraPlatformsInSDK()
{
- SDK_PATH=$(dotnet --list-sdks | grep -P '6\.\d\.\d+' | tail -1 | sed 's/\(6\.[0-9]*\.[0-9]*\).*\[\(.*\)\]/\2\/\1/g')
+ SDK_PATH=$(dotnet --list-sdks | grep '6\.[0-9]\.[0-9]\{3\}' | tail -1 | sed 's/\(6\.[0-9]*\.[0-9]*\).*\[\(.*\)\]/\2\/\1/g')
+
BUNDLEDVERSIONS="${SDK_PATH}/Microsoft.NETCoreSdk.BundledVersions.props"
- if grep -q freebsd-x64 "${BUNDLEDVERSIONS}"; then
- echo "Extra platforms already enabled"
- else
+ if ! grep -q freebsd-x64 "${BUNDLEDVERSIONS}"; then
echo "Enabling extra platform support"
sed -i.ORI 's/osx-x64/osx-x64;freebsd-x64;linux-x86;linux-arm-vfpv3d16/' "${BUNDLEDVERSIONS}"
fi
+
+ RUNTIMEIDENTIFIERGRAPH="${SDK_PATH}/RuntimeIdentifierGraph.json"
+ if ! grep -q linux-arm-vfpv3d16 "${RUNTIMEIDENTIFIERGRAPH}"; then
+ sed -i.ORI '/"runtimes":/a \ \ \ \ "linux-arm-vfpv3d16": {"#import": ["linux-arm"]},' "${RUNTIMEIDENTIFIERGRAPH}"
+ fi
}
EnableExtraPlatforms()
@@ -74,8 +78,8 @@ Build()
platform=Posix
fi
- dotnet clean $slnFile -c Debug
- dotnet clean $slnFile -c Release
+ #dotnet clean $slnFile -c Debug
+ #dotnet clean $slnFile -c Release
if [[ -z "$RID" || -z "$FRAMEWORK" ]];
then
diff --git a/src/NzbDrone.Host/Radarr.Host.csproj b/src/NzbDrone.Host/Radarr.Host.csproj
index 814ed25495..4214072654 100644
--- a/src/NzbDrone.Host/Radarr.Host.csproj
+++ b/src/NzbDrone.Host/Radarr.Host.csproj
@@ -9,7 +9,6 @@
-